package main

import (
	"fmt"
	"github.com/urfave/cli/v2"
	"os"
	"path"
)

func GetKeyStorePath(c *cli.Context) string {
	ks := c.String("key-store")
	if ks != "" {
		return ks
	}
	credentialRoot := os.Getenv("LOCAL_CREDENTIALS")
	if credentialRoot == "" {
		fmt.Println("env var 'LOCAL_CREDENTIALS' is not set")
		os.Exit(-1)
	}
	dfi, err := os.Stat(credentialRoot)
	if err != nil {
		fmt.Println("failed to stat credential root directory: ", err)
		os.Exit(-2)
	}
	if !dfi.IsDir() {
		fmt.Println("credential root is not a directory")
		os.Exit(-3)
	}
	thisCredential := path.Join(credentialRoot, "NagaeROV", "NagaeEDST")
	err = os.MkdirAll(thisCredential, 0770)
	if err != nil {
		fmt.Println("failed to create credential storage directory: ", err)
		os.Exit(-4)
	}
	return thisCredential
}
